> For the complete documentation index, see [llms.txt](https://api.docs.fan/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.docs.fan/profile/creditcard/streaks.md).

# Streaks

Use this endpoint to read Imprint credit card streak information for a profile. The `ID` path parameter is resolved internally to the corresponding account. This endpoint is only accessible if the CreditCard feature is enabled.

### Required Scopes

`profile_credit_card:read`

## Request

### URL

`GET /v2/profile/{ID}/creditcard/streaks`

### Path Parameters

| Name | Required | Description                                                                                                                            |
| ---- | -------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| `ID` | true     | Unique FanID for the customer's account (tenant-specific). This value is a property of the ID Token returned in the SSO login process. |

### Headers

<table><thead><tr><th width="177">Name</th><th>Description</th></tr></thead><tbody><tr><td>Authorization</td><td>User or server-to-server access Bearer token.</td></tr></tbody></table>

## Response

<table><thead><tr><th width="200">Name</th><th>Description</th></tr></thead><tbody><tr><td>streak_id</td><td>Identifier of the streak.</td></tr><tr><td>event_type</td><td>Type of the latest streak event.</td></tr><tr><td>current_period</td><td>The current streak period.</td></tr><tr><td>current_payload</td><td>Payload of the current streak state.</td></tr><tr><td>previous_payload</td><td>Payload of the previous streak state.</td></tr></tbody></table>

## Full Spec

{% openapi src="/files/Rvz5AclbuaMMsKqc2MTO" path="/v2/profile/{ID}/creditcard/streaks" method="get" %}
[openapi-profile-gw.json](https://3657007978-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1G9XmPfyfOHS6i6FdlzL%2Fuploads%2Fgit-blob-a68e994e124ac5da5f3535adc09057feef8b39a3%2Fopenapi-profile-gw.json?alt=media)
{% endopenapi %}
